- Index
- Hierarchy

# Reachability Class Reference

Inherits from | NSObject
Declared in | Reachability.h

## Tasks

- `key` property
- `– initWithReachabilityRef:`
- `+ reachabilityWithHostName:`
- `+ reachabilityWithAddress:`
- `+ reachabilityForInternetConnection`
- `+ reachabilityForLocalWiFi`
- `– startNotifier`
- `– stopNotifier`
- `– isEqual:`
- `– currentReachabilityStatus`
- `– isReachable`
- `– isConnectionRequired`
- `– connectionRequired`
- `– isConnectionOnDemand`
- `– isInterventionRequired`
- `– isReachableViaWWAN`
- `– isReachableViaWiFi`
- `– reachabilityFlags`

## Properties

### key

`@property (copy) NSString *key`

## Class Methods

### reachabilityForInternetConnection

`+ (Reachability *)reachabilityForInternetConnection`

### reachabilityForLocalWiFi

`+ (Reachability *)reachabilityForLocalWiFi`

### reachabilityWithAddress:

`+ (Reachability *)reachabilityWithAddress:(const struct sockaddr_in *)hostAddress`

### reachabilityWithHostName:

`+ (Reachability *)reachabilityWithHostName:(NSString *)hostName`

## Instance Methods

### connectionRequired

`- (BOOL)connectionRequired`

### currentReachabilityStatus

`- (NetworkStatus)currentReachabilityStatus`

### initWithReachabilityRef:

`- (Reachability *)initWithReachabilityRef:(SCNetworkReachabilityRef)ref`

### isConnectionOnDemand

`- (BOOL)isConnectionOnDemand`

### isConnectionRequired

`- (BOOL)isConnectionRequired`

### isEqual:

`- (BOOL)isEqual:(Reachability *)r`

### isInterventionRequired

`- (BOOL)isInterventionRequired`

### isReachable

`- (BOOL)isReachable`

### isReachableViaWWAN

`- (BOOL)isReachableViaWWAN`

### isReachableViaWiFi

`- (BOOL)isReachableViaWiFi`

### reachabilityFlags

`- (SCNetworkReachabilityFlags)reachabilityFlags`

### startNotifier

`- (BOOL)startNotifier`

### stopNotifier

`- (void)stopNotifier`

- Index
- Hierarchy

© 2013 Apple and Donoho Design Group, LLC. All rights reserved. (Last updated: 2013-02-11)
Generated by appledoc 2.0.5 (build 789).